## ------------------------------------------------------------------------
knitr::opts_chunk$set(eval = FALSE)

## ------------------------------------------------------------------------
#  install.packages("devtools")

## ------------------------------------------------------------------------
#  devtools::install_github("muschellij2/ITKR")
#  devtools::install_github("muschellij2/ANTsRCore")
#  devtools::install_github("muschellij2/ANTsR")

## ------------------------------------------------------------------------
#  devtools::install_github("muschellij2/extrantsr", upgrade_dependencies = FALSE)
#  devtools::install_github("muschellij2/ichseg", upgrade_dependencies = FALSE)

## ------------------------------------------------------------------------
#  if (!("tractor.base" %in% installed.packages())) {
#    install.packages("tractor.base")
#  }
#  tractor_version = packageVersion("tractor.base")
#  if (compareVersion(as.character(tractor_version), "3.1.3") < 0) {
#    devtools::install_github(
#      "tractor/tractor",
#      subdir = "tractor.base")
#  }

## ------------------------------------------------------------------------
#  dicom_directory = "/path/to/dicom/files"
#  before_run = list.dirs(dir, recursive = FALSE)
#  
#  # find all zip files - uncompress them, then delete zip files
#  all_zip = list.files(
#    path = dir,
#    pattern = "[.]zip$",
#    recursive = TRUE, full.names = TRUE)
#  if (length(all_zip) > 0) {
#    file.remove(all_zip)
#  }
#  
#  all_zip = list.files(
#    path = dir,
#    pattern = "[.]rar$",
#    recursive = TRUE, full.names = TRUE)
#  if (length(all_zip) > 0) {
#    file.remove(all_zip)
#  }
#  
#  # sort the data
#  res = tractor.base::sortDicomDirectories(
#    directories = dicom_directory,
#    deleteOriginals = TRUE,
#    ignoreTransferSyntax = TRUE
#    )
#  
#  # remove old directories
#  after_run = list.dirs(dicom_directory, recursive = FALSE)
#  new_dirs = setdiff(after_run, before_run)
#  old_dirs = intersect(after_run, before_run)
#  
#  unlink(old_dirs, recursive = TRUE)

## ------------------------------------------------------------------------
#  if (!("dcmtk" %in% installed.packages())) {
#    devtools::install_github("muschellij2/dcmtk")
#  } else {
#    dcmtk_ver = packageVersion("dcmtk")
#    if (dcmtk_ver < "0.5.5") {
#      devtools::install_github("muschellij2/dcmtk")
#    }
#  }
#  library(dcmtk)

## ------------------------------------------------------------------------
#  n_dirs = length(new_dirs)
#  all_data = vector(mode = "list", length = n_dirs)
#  for (i in seq(n_dirs)) {
#    basedir = new_dirs[i]
#    hdr = dcmtk::read_dicom_header(file = paste0(basedir, "/*"))
#    hdr$dir = basedir
#    all_data[[i]] = hdr
#  }

## ------------------------------------------------------------------------
#  library(dplyr)
#  all_hdr = dplyr::bind_rows(all_data)
#  keep_tags = c("(0008,0008)", "(0008,0060)", "(0018,1210)",
#                "(0018,1160)", "(0018,1151)", "(0018,0081)",
#                "(0018,1150)", "(0018,0080)", "(0008,9007)",
#                "(0018,9316)")
#  sub_hdr = all_hdr %>%
#    filter(tag %in% keep_tags) %>%
#    select(file, name, value)

## ---- eval = FALSE-------------------------------------------------------
#  library(dcm2niir)
#  
#  out = dcm2nii(basedir = directory_of_DICOMS)
#  res_file = check_dcm2nii(out)

## ---- eval = FALSE-------------------------------------------------------
#  library(neurobase)
#  ####################################
#  # window the image
#  ####################################
#  window = c(-1024, 3071)
#  img = readnii(res_file)
#  img = window_img(img, window = window)
#  img = cal_img(img)
#  scl_slope(img) = 1
#  scl_inter(img) = 0
#  aux_file(img) = ""
#  descrip(img) = ""
#  writenii(img, filename = res_file)

## ---- eval = FALSE-------------------------------------------------------
#  results = ichseg::ich_segment(res_file)

## ------------------------------------------------------------------------
#  library(ANTsRCore)
#  img = antsImageRead(res_file)
#  res_img = resampleImage(img, resampleParams = c(1,1,1),
#    useVoxels = FALSE)

